LIBAST(3)

NAME
setenviron - set environment value

SYNOPSIS
    #include <ast.h>
    char*     setenviron(const char* key);

DESCRIPTION
controls environment name=value pairs. adds name to the environment and returns a pointer to a strdup(3) copy of name=value. removes name from the environment and returns the empty string. reserves a few slots in an internal array and is usually called by a parent process that expects many children. 0 is returned on error. preserves the ksh(1) convention of as the first environment variable name.

SEE ALSO
env(1), exec(2)

BUGS
POSIX will eventually settle on an interface. It has already picked a few of the names we did in .2 drafts. This is about the third name change for ours.